classification
Title: test_cmd_line_script prints undefined 'data' variable
Type: compile error Stage: resolved
Components: Tests Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ncoghlan Nosy List: Jason.Yeo, ncoghlan, python-dev
Priority: normal Keywords:

Created on 2012-02-16 16:17 by Jason.Yeo, last changed 2012-04-19 12:23 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
mypatch Jason.Yeo, 2012-02-16 16:17 patch to print correct variable review
Messages (3)
msg153485 - (view) Author: Jason Yeo (Jason.Yeo) * Date: 2012-02-16 16:17
Hi, I'm new around here. I was trying to fix issue 14026 and I found this problem. In test_cmd_line_script, the test_issue8202 tries to print an undefined data variable when verbose is set to > 1. I have a patch attached to print(out) instead of print(data). Please let me know if this is the correct thing to do.
msg154162 - (view) Author: Jason Yeo (Jason.Yeo) * Date: 2012-02-24 21:04
hi, 

*friendly ping* how's the review for this patch?
msg158719 - (view) Author: Roundup Robot (python-dev) Date: 2012-04-19 12:23
New changeset c4c67c2d8ffc by Nick Coghlan in branch '3.2':
Close #14032: fix incorrect variable reference in test_cmd_line_script
http://hg.python.org/cpython/rev/c4c67c2d8ffc
History
Date User Action Args
2012-04-19 12:23:14python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg158719

resolution: fixed
stage: resolved
2012-02-25 06:33:05ncoghlansetassignee: ncoghlan
2012-02-24 21:04:21Jason.Yeosetmessages: + msg154162
2012-02-17 16:23:34eric.araujosetnosy: + ncoghlan
2012-02-16 16:18:35Jason.Yeosetfiles: - mypatch
2012-02-16 16:18:15Jason.Yeosetfiles: + mypatch
2012-02-16 16:17:50Jason.Yeocreate